# -*- coding: iso-8859-1 -*-
from __future__ import division # 1/2 == .5 (par defaut, 1/2 == 0)
from __future__ import with_statement

import os;os.chdir("/home/nico/Desktop/geolib4")

#############
nom = "labels"
#############

#f = open(nom + ".py",  "r")
t = "class TestGeolib" + nom.capitalize() + "(CustomTest):\n\n"
with open(nom + ".py", 'r') as f:
    for line in f:
        if line.startswith("class"):
            nom_classe = line[line.find(" ")+1:line.find("(")]
            if not nom_classe.endswith("_generique"):
                t += "    def test_" +nom_classe + u"(self):\n        pass # À ÉCRIRE\n\n"
            
print t
